<?php get_header();?>

<div id="container">
<?php get_sidebar();?>
 <div id="content">
  <?php if (have_posts()) : ?>
   <?php $post = $posts[0]; // This is so_date() works. ?>
    
   <!-- Figure out the proper heading based on the type of archive -->
   <?php /* If this is a category archive */ if (is_category()) { ?>				
	<h3 class="pagetitle">Архив на категорию '<?php echo single_cat_title(); ?>'</h3>
   <?php /* If this is a daily archive */ } elseif (is_day()) { ?>
   	<h3 class="pagetitle">Архив на месяц <?php the_time('F jS, Y'); ?></h3>
   <?php /* If this is a monthly archive */ } elseif (is_month()) { ?>
   	<h3 class="pagetitle">Архив на год <?php the_time('F, Y'); ?></h3>
   <?php /* If this is a yearly archive */ } elseif (is_year()) { ?>
   	<h3 class="pagetitle">Архив для <?php the_time('Y'); ?></h3>
   <?php /* If this is a search */ } elseif (is_search()) { ?>
   	<h3 class="pagetitle">Результаты поиска</h3>
   <?php /* If this is an author archive */ } elseif (is_author()) { ?>
   	<h3 class="pagetitle">Архив автора</h3>
   <?php /* If this is a paged archive */ } elseif (isset($_GET['paged']) && !empty($_GET['paged'])) { ?>
   	<h3 class="pagetitle">Архив блога</h3>
   <?php } ?>

   <!-- Grab the posts for this archive -->
   <?php while (have_posts()) : the_post(); ?>
	<div class="post" id="post-<?php the_ID(); ?>">

	 
	 <div class="posttitle"> 
      <h2><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title(); ?>"><?php the_title(); ?></a></h2>
      <p class="post-info">Категория:
 <?php the_author(); ?> <?php the_time('m jS, Y') ?></p>
	</div><!-- end posttitle -->

	 <div class="entry">
	  <?php the_excerpt(); ?>
	 </div><!-- end entry -->
	 <?php comments_template(); ?>
	<p class="postmetadata"><?php comments_popup_link('нет комментариев &#187;', 'читать комментарий(1) &#187;', 'читать комментарии(%) &#187;'); ?> </p>
	</div><!-- end post -->
   <?php endwhile; ?>
   
   <p align="center"><?php posts_nav_link(' - ','&#171; Предыдущие','Следующие &#187;') ?></p>
		
  <?php else : ?>
   <h2 class="center">Не найдено</h2>
   <p class="center">Извините, ничего не найдено.</p>
  <?php endif; ?>
 </div><!-- end content -->

<?php get_footer();?>